package com.cloudcross.ssp.model;



import java.util.Date;

/**
 * 投放活动对应的创意模板表
 * @author chenyou
 *
 */
public class AuditBanner {
	//主键
	private Long id;
	//创意模板id
	private Long bannerTemplateId;
	//订单id
	private Long orderId;
	//活动id
	private Long campaignId;
	//投放id
	private Long adGroupId;
	//到达地址
	private String visitAddress;
	//点击地址
	private String clickAddress;
	//曝光地址
	private String impressionAddress;
	//审核状态
	private Integer checked;
	//更新时间
	private Date updated;
	//审核备注
	private String memo;
	//运营商审核状态
	private Integer operatorChecked;
	//行业
	private String industryName;
	//广告主
	private String advertiserName;
	//创建bannerTemplate对象
	BannerTemplate bannerTemplate;
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getBannerTemplateId() {
		return bannerTemplateId;
	}
	public void setBannerTemplateId(Long bannerTemplateId) {
		this.bannerTemplateId = bannerTemplateId;
	}
	public Long getOrderId() {
		return orderId;
	}
	public void setOrderId(Long orderId) {
		this.orderId = orderId;
	}
	public Long getCampaignId() {
		return campaignId;
	}
	public void setCampaignId(Long campaignId) {
		this.campaignId = campaignId;
	}
	public Long getAdGroupId() {
		return adGroupId;
	}
	public void setAdGroupId(Long adGroupId) {
		this.adGroupId = adGroupId;
	}
	public String getVisitAddress() {
		return visitAddress;
	}
	public void setVisitAddress(String visitAddress) {
		this.visitAddress = visitAddress;
	}
	public String getClickAddress() {
		return clickAddress;
	}
	public void setClickAddress(String clickAddress) {
		this.clickAddress = clickAddress;
	}
	public String getImpressionAddress() {
		return impressionAddress;
	}
	public void setImpressionAddress(String impressionAddress) {
		this.impressionAddress = impressionAddress;
	}
	public Integer getChecked() {
		return checked;
	}
	public void setChecked(Integer checked) {
		this.checked = checked;
	}
	public Date getUpdated() {
		return updated;
	}
	public void setUpdated(Date updated) {
		this.updated = updated;
	}
	public String getMemo() {
		return memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}
	public Integer getOperatorChecked() {
		return operatorChecked;
	}
	public void setOperatorChecked(Integer operatorChecked) {
		this.operatorChecked = operatorChecked;
	}
	public String getIndustryName() {
		return industryName;
	}
	public void setIndustryName(String industryName) {
		this.industryName = industryName;
	}
	public String getAdvertiserName() {
		return advertiserName;
	}
	public void setAdvertiserName(String advertiserName) {
		this.advertiserName = advertiserName;
	}
	public BannerTemplate getBannerTemplate() {
		return bannerTemplate;
	}
	public void setBannerTemplate(BannerTemplate bannerTemplate) {
		this.bannerTemplate = bannerTemplate;
	}
	@Override
	public String toString() {
		return "AuditBanner [id=" + id + ", bannerTemplateId="
				+ bannerTemplateId + ", orderId=" + orderId + ", campaignId="
				+ campaignId + ", adGroupId=" + adGroupId + ", visitAddress="
				+ visitAddress + ", clickAddress=" + clickAddress
				+ ", impressionAddress=" + impressionAddress + ", checked="
				+ checked + ", updated=" + updated + ", memo=" + memo
				+ ", operatorChecked=" + operatorChecked + ", industryName="
				+ industryName + ", advertiserName=" + advertiserName
				+ ", bannerTemplate=" + bannerTemplate + "]";
	}
	
}
